View a markdown version of this page

CreateCustomDetectionRuleAssociation - Amazon GuardDuty

CreateCustomDetectionRuleAssociation

Enables a custom detection rule for your account by creating an association. You specify the rule and the mode in which it operates.

Request Syntax

POST /custom-detection-rule/association HTTP/1.1 Content-type: application/json { "clientToken": "string", "mode": "string", "ruleId": "string", "tags": { "string" : "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier to ensure that the operation completes no more than one time. Maximum 64 characters.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 64.

Required: No

mode

The rule execution mode. Valid values: LIVE | DRY_RUN.

Type: String

Valid Values: LIVE | DRY_RUN

Required: Yes

ruleId

The unique identifier for the custom detection rule.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 100.

Pattern: [a-z0-9]+(-[a-z0-9]+)*

Required: Yes

tags

The tags to be added to the new custom detection rule association resource.

Type: String to string map

Map Entries: Maximum number of 200 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: (?!aws:)[a-zA-Z+-=._:/]+

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "ruleAssociation": { "accountId": "string", "arn": "string", "associationId": "string", "createdAt": number, "expiresAt": number, "mode": "string", "ruleId": "string", "updatedAt": number } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

ruleAssociation

The details of the newly created custom detection rule association.

Type: AssociationDetail object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

An access denied exception object.

Message

The error message.

Type

The error type.

HTTP Status Code: 403

BadRequestException

A bad request exception object.

Message

The error message.

Type

The error type.

HTTP Status Code: 400

ConflictException

A request conflict exception object.

Message

The error message.

Type

The error type.

HTTP Status Code: 409

InternalServerErrorException

An internal server error exception object.

Message

The error message.

Type

The error type.

HTTP Status Code: 500

ResourceNotFoundException

The requested resource can't be found.

Message

The error message.

Type

The error type.

HTTP Status Code: 404

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: